# Settings

Contents

- Settings

class `pygit2.``Settings`

  Library-wide settings

  `cache_object_limit`(object_type, value)
    Set the maximum data size for the given type of object to be
      considered eligible for caching in memory.

    Setting to value to zero means that that type of object will not be cached. Defaults to 0 for GIT_OBJ_BLOB (i.e. won’t cache blobs) and 4k for GIT_OBJ_COMMIT, GIT_OBJ_TREE, and GIT_OBJ_TAG.

  `cached_memory`

    Maximum mmap window size

  `mwindow_mapped_limit`

    Mwindow mapped limit

  `mwindow_size`

    Maximum mmap window size

  `search_path`

    Configuration file search path.

    This behaves like an array whose indices correspond to the GIT_CONFIG_LEVEL_* values. The local search path cannot be changed.